<div class="w-auto h-auto">



    <p-card>
        
        <p-fieldset legend="Intermediate Care">
                <div class="flex align-items-stretch flex-wrap card-container blue-container" >

        
                    <div class="flex align-items-center justify-content-center m-2" >
                        <mat-form-field color="accent" class="example-form-field"  appearance="outline">
                            <mat-label>วันเริ่มต้น</mat-label>
                            <input matInput [matDatepicker]="picker1" [(ngModel)]="sdate" (click)="picker1.open()" (ngModelChange)="onDateSelected()">
                            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                            <mat-datepicker #picker1></mat-datepicker>
                        </mat-form-field>
                    </div>
                    <div class="flex align-items-center justify-content-center m-2" >
                        <mat-form-field color="accent" class="example-form-field"  appearance="outline">
                            <mat-label>วันสิ้นสุด</mat-label>
                            <input matInput [matDatepicker]="picker2" [(ngModel)]="edate" (click)="picker2.open()" (ngModelChange)="onDateSelected()">
                            <mat-datepicker-toggle matSuffix [for]="picker2"></mat-datepicker-toggle>
                            <mat-datepicker #picker2></mat-datepicker>
                        </mat-form-field>
                    </div>
                    <div class="flex align-items-center justify-content-center m-2" >  
                        <section>
                            <mat-form-field color="accent" class="example-form-field"  appearance="outline">
                                <mat-label>สถานนะ</mat-label>
                                <mat-select [(ngModel)]="selectedStatus">
                                  <mat-option value="">ทั้งหมด</mat-option>
                                  <mat-option value="0">กำลังรักษา</mat-option>
                                  <mat-option value="1">จำหน่วย ผู้ป่วยหายแล้ว</mat-option>
                                </mat-select>
                              </mat-form-field>
                        </section>
                    </div>

                    <div class="flex align-items-center justify-content-center m-2 mt-0">
                        <button pButton type="button" [disabled]="!validateForm" class="button-success" (click)="onSearch()" icon="pi pi-search" label ="ค้นหา"></button>
        
                    </div>
                </div>

            

            <!-- <div class="grid">
            <div class="flex justify-content-center flex-wrap card-container yellow-container col shadow-4"> -->
            <p-table #dt [value]="rowsData" [(selection)]="selectedRowsData" dataKey="id"
                styleClass="p-datatable-gridlines" [rowHover]="true" [rows]="100" [showCurrentPageReport]="true"
                [rowsPerPageOptions]="[10,25,50,100]" [loading]="loading" [paginator]="true"
                currentPageReportTemplate="แสดง {first} จาก {last} ทั้งหมด {totalRecords} รายการ" [filterDelay]="0"
                [globalFilterFields]="['hn','fullname','refer_hospname']" responsiveLayout="scroll"
                paginatorPosition="bottom" [scrollable]="true" scrollHeight="{{scrollHeight}}" [virtualRowHeight]="6"
                [autoLayout]="true" [resizableColumns]="true" [style]="ptableStyle" frozenColumns="10"
                selectionMode="single" dblClickSelect="false" (onRowSelect)="onRowSelect($event)">
                <!-- <ng-template pTemplate="caption">
                        IMC
                    </ng-template> -->
                <ng-template pTemplate="header">
                    <tr>
                        <th class="text-center justify-content-center" style='flex: 0 0 250px;'>สถานบริการต้นทาง</th>
                        <th class="text-center justify-content-center">Refer No</th>
                        <th class="text-center justify-content-center">ชื่อ-สกุล</th>
                        <th class="text-center justify-content-center">เลขบัตรประชาชน</th>
                        <th class="text-center justify-content-center">วันที่ลงทะเบียน</th>
                        <th class="text-center justify-content-center">จำนวนครั้งที่ประเมิน</th>
                        <th class="text-center justify-content-center">สถานนะ</th>
                        
                    </tr>
                </ng-template>
                <ng-template pTemplate="body" let-imc>
                    <tr [pSelectableRow]="imc">
                        <td class="pt-2 pb-2 white-space-normal" style='flex: 0 0 250px;'>{{imc.hcode}}:{{imc.hcode_name}}</td>
                        <td>{{imc.refer_no}}</td>
                        <td>{{imc.fullname}}</td>
                        <td class="text-center justify-content-center">{{imc.cid}}</td>
                        <td class="text-center justify-content-center">{{imc.reg_date | thaidate:'short'}}</td>
                        <td class="text-center justify-content-center">{{imc.totel_imc}}</td>
                        <td class="text-center justify-content-center" *ngIf="imc.status  === '0'">กำลังรักษา</td>
                        <td class="text-center justify-content-center" *ngIf="imc.status  === '1'">จำหน่วย ผู้ป่วยหายแล้ว</td>
                    </tr>
                </ng-template>
                <ng-template pTemplate="emptymessage">
                    <tr>
                        <td colspan="16">ไม่พบรายการ..</td>
                    </tr>
                </ng-template>
            </p-table>

        </p-fieldset>
    </p-card>
</div>